Skip to content

Category Services

Top Charts ( 10 Credits / Request )

Provides top charts information for given category, country, ranking type and device.

bash
GET /playstore-category/topcharts/{category}/{countryCode}/{categoryType}

Request Parameters

ParameterDescription
category(required) Category name
countryCode(required) Two letter country code
categoryType(required) FREE, PAID, GROSSING
date(required) YYYY-MM-DD formatted date

Response Fields

FieldDescription
trackIdGoogle Play track id of the app
categoryCategory id
rankCategory ranking value
dateDate in epoch time format
type0=Free, 1= Paid, 2=Grossing

Example request

bash
curl "https://api.mobileaction.co/playstore-category/topcharts/FAMILY/US/FREE?date=2019-03-01&token=YOUR_API_KEY"

Example response

json
[
  {
    "trackId": "com.roblox.client",
    "category": 57,
    "rank": 1,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.google.android.apps.youtube.kids",
    "category": 57,
    "rank": 2,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.duolingo",
    "category": 57,
    "rank": 3,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.superbinogo.jungleboyadventure",
    "category": 57,
    "rank": 4,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.WildWorks.RyansTag",
    "category": 57,
    "rank": 5,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "org.pbskids.video",
    "category": 57,
    "rank": 6,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.KnowledgeAdventure.SchoolOfDragons",
    "category": 57,
    "rank": 7,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "com.disney.datg.videoplatforms.android.watchdc",
    "category": 57,
    "rank": 8,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "org.pbskids.gamesapp",
    "category": 57,
    "rank": 9,
    "date": 1551436343000,
    "type": 0
  },
  {
    "trackId": "no.mobitroll.kahoot.android",
    "category": 57,
    "rank": 10,
    "date": 1551436343000,
    "type": 0
  }
]

Category Ranking ( 10 Credits / Request )

Provides category rankings history of an app in Google Play. Max 30 days of history is allowed for a single request.

bash
GET /playstore-category/{trackId}/{country}&startDate={startDate}&endDate={endDate}

Request Parameters

ParameterDescription
trackId(required) Google Play track id of app
countryCode(required) Two letter country code
startDate(required) YYYY-MM-DD formatted date, history start date, inclusive.
endDate(required) YYYY-MM-DD formatted date, history end date, exclusive.

Response Fields

FieldDescription
trackIdGoogle Play track id of app
countryCodeTwo letter country code, categories are mapped by this
categoryNameCategory name, ranking type and ranking data are mapped by this
rankingType0 = FREE, 1 = PAID, 2 = GROSSING
dateDate in timestamp format
rankingCategory ranking value

Example request

bash
curl "https://api.mobileaction.co/playstore-category/com.facebook.katana/US?startDate=2019-09-01&endDate=2019-09-03&token=YOUR_API_KEY"

Example response

json
{
  "trackId": "com.facebook.katana",
  "countryCode": "US",
  "ranksByCategoryNames": [
    {
      "categoryName": "OVERALL",
      "rankings": [
        {
          "rankingType": 0,
          "ranksByDate": [
            {
              "date": 1567321200000,
              "rank": 37
            },
            {
              "date": 1567407600000,
              "rank": 52
            }
          ]
        },
        {
          "rankingType": 2,
          "ranksByDate": [
            {
              "date": 1567321200000,
              "rank": 261
            },
            {
              "date": 1567407600000,
              "rank": 266
            }
          ]
        }
      ]
    },
    {
      "categoryName": "SOCIAL",
      "rankings": [
        {
          "rankingType": 0,
          "ranksByDate": [
            {
              "date": 1567321200000,
              "rank": 4
            },
            {
              "date": 1567407600000,
              "rank": 4
            }
          ]
        },
        {
          "rankingType": 2,
          "ranksByDate": [
            {
              "date": 1567321200000,
              "rank": 10
            },
            {
              "date": 1567407600000,
              "rank": 10
            }
          ]
        }
      ]
    }
  ]
}

Global Last Day Category Rankings ( 20 Credits / Request )

Provides global category rankings of an app in PlayStore for last day.

bash
GET /playstore-category/global-rankings-last-day/{trackId}

Request Parameters

ParameterDescription
trackId(required) Google Play track id of app

Response Fields

FieldDescription
trackIdGoogle Play track id of app
countryCodeTwo letter country code, categories are mapped by this
categoryNameCategory name, ranking type and ranking data are mapped by this
rankingTypeFREE, PAID, GROSSING
dateDate in LocalDateTime format
rankingCategory ranking value

Example request

bash
curl "https://api.mobileaction.co/playstore-category/global-rankings-last-day/com.facebook.katana?token=YOUR_API_KEY"

Example response

json
{
  "trackId": "com.facebook.katana",
  "ranksByCategory": {
    "PK": {
      "OVERALL": [
        {
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T07:00:00",
              "ranking": 9
            }
          ]
        },
        {
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T07:00:00",
              "ranking": 444
            }
          ]
        }
      ],
      "SOCIAL": [
        {
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T07:00:00",
              "ranking": 2
            }
          ]
        },
        {
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T07:00:00",
              "ranking": 42
            }
          ]
        }
      ]
    }
  }
}